"""
Django settings for debuzz2 project.

Generated by 'django-admin startproject' using Django 5.1.4.

For more information on this file, see
https://docs.djangoproject.com/en/5.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/5.1/ref/settings/
"""

from pathlib import Path  # Modul zum Arbeiten mit Dateipfaden

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent  # Basisverzeichnis des Projekts

# Quick-start development settings - unsuitable for production
# Siehe https://docs.djangoproject.com/en/5.1/howto/deployment/checklist/

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = 'django-insecure-+zkw9z@&7nlo2d^$@#choo(_d)82==i7w3*lt%8b0=nr*ihivl'  # Geheimer Schlüssel für die Anwendung

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True  # Debug-Modus aktivieren (nicht für Produktion empfohlen)

ALLOWED_HOSTS = []  # Erlaubte Hosts für die Anwendung

# Application definition
INSTALLED_APPS = [  # Installierte Apps der Django-Anwendung
    'django.contrib.admin',  # Admin-Oberfläche
    'django.contrib.auth',  # Authentifizierungs-Framework
    'django.contrib.contenttypes',  # Content-Type-System
    'django.contrib.sessions',  # Sitzungs-Framework
    'django.contrib.messages',  # Nachrichten-Framework
    'django.contrib.staticfiles',  # Framework für statische Dateien
    'kpi',  # Eigene App "kpi"
]

MIDDLEWARE = [  # Middleware-Definitionen
    'django.middleware.security.SecurityMiddleware',  # Sicherheits-Middleware
    'django.contrib.sessions.middleware.SessionMiddleware',  # Sitzungs-Middleware
    'django.middleware.common.CommonMiddleware',  # Allgemeine Middleware
    'django.middleware.csrf.CsrfViewMiddleware',  # Schutz vor CSRF-Angriffen
    'django.contrib.auth.middleware.AuthenticationMiddleware',  # Authentifizierungs-Middleware
    'django.contrib.messages.middleware.MessageMiddleware',  # Nachrichten-Middleware
    'django.middleware.clickjacking.XFrameOptionsMiddleware',  # Schutz vor Clickjacking
]

ROOT_URLCONF = 'debuzz2.urls'  # Haupt-URL-Konfigurationsdatei

TEMPLATES = [  # Einstellungen für Templates
    {
        'BACKEND': 'django.template.backends.django.DjangoTemplates',  # Template-Backend
        'DIRS': [],  # Verzeichnisse für Templates
        'APP_DIRS': True,  # Templates in App-Verzeichnissen aktivieren
        'OPTIONS': {
            'context_processors': [  # Kontextprozessoren für Templates
                'django.template.context_processors.debug',  # Debug-Kontextprozessor
                'django.template.context_processors.request',  # Request-Kontextprozessor
                'django.contrib.auth.context_processors.auth',  # Authentifizierungs-Kontextprozessor
                'django.contrib.messages.context_processors.messages',  # Nachrichten-Kontextprozessor
            ],
        },
    },
]

WSGI_APPLICATION = 'debuzz2.wsgi.application'  # WSGI-Konfigurationsdatei

# Database
# https://docs.djangoproject.com/en/5.1/ref/settings/#databases

DATABASES = {  # Datenbankkonfiguration
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',  # SQLite3-Datenbank-Engine
        'NAME': BASE_DIR / 'db.sqlite3',  # Name der SQLite3-Datenbank
    }
}

# Password validation
# https://docs.djangoproject.com/en/5.1/ref/settings/#auth-password-validators

AUTH_PASSWORD_VALIDATORS = [  # Passwortvalidierung
    {
        'NAME': 'django.contrib.auth.password_validation.UserAttributeSimilarityValidator',  # Überprüft Ähnlichkeiten mit Benutzerdaten
    },
    {
        'NAME': 'django.contrib.auth.password_validation.MinimumLengthValidator',  # Mindestlänge für Passwörter
    },
    {
        'NAME': 'django.contrib.auth.password_validation.CommonPasswordValidator',  # Überprüft auf häufige Passwörter
    },
    {
        'NAME': 'django.contrib.auth.password_validation.NumericPasswordValidator',  # Verhindert rein numerische Passwörter
    },
]

# Internationalization
# https://docs.djangoproject.com/en/5.1/topics/i18n/

LANGUAGE_CODE = 'en-us'  # Standard-Spracheinstellung

TIME_ZONE = 'UTC'  # Standard-Zeitzone

USE_I18N = True  # Internationalisierung aktivieren

USE_TZ = True  # Zeitzonen-Unterstützung aktivieren

# Static files (CSS, JavaScript, Images)
# https://docs.djangoproject.com/en/5.1/howto/static-files/

STATIC_URL = 'static/'  # URL für statische Dateien

# Default primary key field type
# https://docs.djangoproject.com/en/5.1/ref/settings/#default-auto-field

DEFAULT_AUTO_FIELD = 'django.db.models.BigAutoField'  # Standardfeldtyp für Primärschlüssel